
#include "common.h"
#include "Graph.h"

int main(void)
{
	Graph graph;

	/*	  6, A B C D E F	*/
	GraphInit(&graph, 6);
	
	AddEdge(&graph, A, C, 6);	
	AddEdge(&graph, A, D, 8);

	AddEdge(&graph, B, D, 9);
	AddEdge(&graph, B, E, 2);

	AddEdge(&graph, C, D, 3);
	AddEdge(&graph, C, F, 4);

	AddEdge(&graph, D, F, 3);
	AddEdge(&graph, E, F, 4);

	DisplayEdgeInfo(&graph);

	printf("\n\n \n");

	/*	 	*/
	TopologicalSort(&graph);

	DestroyGraph(&graph);

	return 0;
}

